Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-6301

JSON objects for error messages do not correspond with the OpenAM version after upgrade

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Not a defect
    • Affects Version/s: 12.0.1
    • Fix Version/s: None
    • Component/s: rest
    • Labels:
    • Environment:
      WebLogic 12c on Windows 2008R2, JDK 7

      Description

      After upgrading OpenAM 11.0.2 to OpenAM 12.0.1 the expected error message format for authentication via REST is:

      {
          "message": "Authentication Failed!!"
      }
      

      However, the result is:

      {
          "errorMessage": "Authentication Failed!!"
      }
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                peter.major Peter Major [X] (Inactive)
                Reporter:
                n4al Nemanja Lukic
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: